System.register(["./convertTemplateType.js", "./toToken.js"], function (_export, _context) {
  "use strict";

  var convertTemplateType, toToken;
  function toTokens(tokens, tt, code) {
    return convertTemplateType(tokens, tt).filter(t => t.type !== "CommentLine" && t.type !== "CommentBlock").map(t => toToken(t, tt, code));
  }

  _export("toTokens", toTokens);

  return {
    setters: [function (_convertTemplateTypeJs) {
      convertTemplateType = _convertTemplateTypeJs.convertTemplateType;
    }, function (_toTokenJs) {
      toToken = _toTokenJs.toToken;
    }],
    execute: function () {}
  };
});